package org.nl.acs.ext.wms.data;

import com.alibaba.fastjson.JSONArray;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class BaseResponse {

    private Integer status = 0;
    private String message;
    private JSONArray errArr = new JSONArray();
    private Map<String, String> parameters = new HashMap();

    public BaseResponse() {
    }

    public Integer getstatus() {
        return this.status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getMessage() {
        return this.message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Map<String, String> getParameters() {
        return this.parameters;
    }

    public void setParameters(Map<String, String> parameters) {
        this.parameters = parameters;
    }

    public Object getParameter(String key) {
        return this.parameters.get(key);
    }

    public void putParameter(String key, String object) {
        this.parameters.put(key, object);
    }

}
